package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainCompanyApplyBo;
import org.dromara.main.domain.vo.MainCompanyApplyVo;

import java.util.Collection;
import java.util.List;

public interface IMainCompanyApplyService {

    TableDataInfo<MainCompanyApplyVo> queryPageList(MainCompanyApplyBo bo, PageQuery pageQuery);

    List<MainCompanyApplyVo> queryList(MainCompanyApplyBo bo);

    MainCompanyApplyVo queryById(Long id);

    Boolean insertByBo(MainCompanyApplyBo bo);

    Boolean updateByBo(MainCompanyApplyBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    boolean checkCompanyNameUnique(MainCompanyApplyBo bo);

    boolean checkCreditCodeUnique(MainCompanyApplyBo bo);

    boolean checkMobileUnique(MainCompanyApplyBo bo);

    Boolean applyCompany(MainCompanyApplyBo bo);
}
